# mdtraj.formats.ArcTrajectoryFile

class mdtraj.formats.ArcTrajectoryFile(filename, mode='r', force_overwrite=True)

  Interface for reading and writing to an TINKER archive files. (Note that the TINKER .xyz format is identical to this.) This is a file-like object, that both reading or writing depending on the mode flag. It implements the context manager protocol, so you can also use it with the python ‘with’ statement.

  The conventional units in the arc file is angstrom. The format only supports storing the cartesian coordinates and box lengths.

  topology

    A single-chain, single-residue topology generated from the atom and bond information found in the TINKER archive/xyz file. It is only generated from the first member of the archive

    Type:

      Topology

  Parameters:

    - filename (path-like) – The filename to open. A path to a file on disk.

    - mode ({'r'}) – The mode in which to open the file, only ‘r’ for read is supported.

    - force_overwrite (bool) – If opened in write mode, and a file by the name of filename already exists on disk, should we overwrite it?

  Methods

  `close`() | Close the .arc file
  `read`([n_frames, stride, atom_indices]) | Read data from a TINKER .arc file.
  `read_as_traj`([n_frames, stride, atom_indices]) | Read a trajectory from a ARC file
  `seek`(offset[, whence]) | Move to a new file position
  `tell`() | Current file position
  `write`(xyz) | The ArcTrajectoryFile does not have a write method, because TINKER .arc files have special numerical atom types which are not shared by any other trajectory file format.

  __init__(filename, mode='r', force_overwrite=True)

    Open an TINKER.arc file for reading/writing.

  Methods

  `__init__`(filename[, mode, force_overwrite]) | Open an TINKER.arc file for reading/writing.
  `close`() | Close the .arc file
  `read`([n_frames, stride, atom_indices]) | Read data from a TINKER .arc file.
  `read_as_traj`([n_frames, stride, atom_indices]) | Read a trajectory from a ARC file
  `seek`(offset[, whence]) | Move to a new file position
  `tell`() | Current file position
  `write`(xyz) | The ArcTrajectoryFile does not have a write method, because TINKER .arc files have special numerical atom types which are not shared by any other trajectory file format.

  Attributes

  `distance_unit` |